\name{RMS}
\alias{RMS}
\title{
Computes the root mean square error of the ensemble mean
}
\description{
Computes the RMSE of an ensemble mean forecast against a vector of observations.\cr
The confidence interval of the RMSE is obtained with a chi2 distribution.
}
\usage{
RMS(ens, obs, siglev = 0.95, conf = TRUE)
}
\arguments{
  \item{ens}{
N by M matrix of N forecasts from M ensemble members.
  }
  \item{obs}{
Vector of the corresponding observations of length N.
  }
 
  \item{limits}{
Complete between limits[1] & limits[2]. Default = NULL.
  }
  \item{siglev}{
Confidence level of the computed confidence interval. 0.95 by default.
  }
  \item{conf}{
Whether to compute confidence interval or not. TRUE by default.
  }
}
\value{
A list containing the following components :\cr
rms - the root mean square error \cr
conf_low - the lower limit of the confidence interval \cr
conf_high - the upper limit of the confidence interval \cr
}
\examples{
obs <- rnorm(100)
ens <- matrix(rnorm(500), c(100,5))
RMS(ens, obs)
}
\author{
History:\cr
0.1  -  2011-05  (V. Guemas, \email{vguemas at ic3.cat})  -  Original code\cr
1.0  -  2013-09  (N. Manubens, \email{nicolau.manubens at ic3.cat})  -  Formatting to R CRAN
}
\keyword{datagen}
