\name{RatioSDRMS}
\alias{RatioSDRMS}
\title{
Computes the ratio between the ensemble spread and the RMSE of the ensemble mean
}
\description{
Calculates the ratio of spread and the RMSE from a matrix of N ensemble members for M forecasts and the corresponding vector of observations of length M. \cr

The p-value is provided by a one-sided Fisher test.
}
\usage{
RatioSDRMS(ens, obs, pval = TRUE)
}
\arguments{
\item{ens}{
N by M matrix of N forecasts from M ensemble members.
  }
  \item{obs}{
Vector of the corresponding observations of length N.
  }
  \item{pval}{
Whether to compute the p-value of Ho : SD/RMSE = 1 or not.
  }
}
\value{
A vector containing the following components :\cr
ratio - the ratio of the spread and RMSE \cr
p.val - the p.value (if pval ='TRUE') \cr
}
\examples{
obs <- rnorm(100)
ens <- matrix(rnorm(500), c(100,5))
RatioSDRMS(ens,obs)
}
\author{
History:\cr
0.1  -  2011-12  (V. Guemas, \email{virginie.guemas at ic3.cat})  -  Original code\cr
1.0  -  2013-09  (N. Manubens, \email{nicolau-manubens at ic3.cat})  -  Formatting to CRAN
}
\keyword{datagen}
